## org.apache.catalina.startup
Class CopyParentClassLoaderRule

    java.lang.Object
      org.apache.commons.digester.Rule
          org.apache.catalina.startup.CopyParentClassLoaderRule

public class CopyParentClassLoaderRule
extends org.apache.commons.digester.Rule

Rule that copies the `parentClassLoader` property from the next-to-top item on the stack (which must be a `Container`) to the top item on the stack (which must also be a `Container`).

Version:
  $Revision: 1.3 $ $Date: 2004/08/26 21:41:12 $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.commons.digester.Rule
`digester, namespaceURI`

Constructor Summary
`CopyParentClassLoaderRule(org.apache.commons.digester.Digester digester)` Construct a new instance of this Rule.

Method Summary
`void` `begin(org.xml.sax.Attributes attributes)` Handle the beginning of an XML element.

Methods inherited from class org.apache.commons.digester.Rule
`begin, body, body, end, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyParentClassLoaderRule

    public CopyParentClassLoaderRule(org.apache.commons.digester.Digester digester)

  Construct a new instance of this Rule.

Parameters:
  `digester` - Digester we are associated with

Method Detail

### begin

    public void begin(org.xml.sax.Attributes attributes)
               throws java.lang.Exception

  Handle the beginning of an XML element.

  Parameters:
    `attributes` - The attributes of this element
  Throws:
    `java.lang.Exception` - if a processing error occurs

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.